View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
18073Bug reportsSurvey participants (Tokens)public2022-07-05 12:27
Reporterrouuuge Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version5.3.x 
Summary18073: Can't change reminder / invitation date
Description
  • Edit a participant
  • Try to change the reminder / invitation date
  • Save

It always saves to the current date and displays a checkmark

Steps To Reproduce

Steps to reproduce

  • Edit a participant
  • Try to change the reminder / invitation date
  • Save

Expected result

  • Save the selected date
  • Display the date in the table

Actual result

  • Saves the current date
  • shows checkmark in the table
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build) 5.3.11
I will donate to the project if issue is resolvedNo
Browser
Database type & versionmysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7.4.3

Relationships

related to 18119 closedgabrieljenik Batch Edit: Dates are saved as Y/N 
related to 18125 confirmed Reminder / invitation date: Previous date may be lost 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2022-05-16 18:21

manager   ~69678

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2420

This issue is also happening on LTS.

gabrieljenik

gabrieljenik

2022-06-27 00:33

manager   ~70534

Tested. Needs reviewing before merging

gabrieljenik

gabrieljenik

2022-07-01 15:37

manager   ~70676

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33614

LimeBot

LimeBot

2022-07-05 12:27

administrator   ~70701

Fixed in Release 5.3.23+220705

Related Changesets

LimeSurvey: master 32163649

2022-07-01 14:39:39

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 18073: Can't change reminder / invitation date (#2420) Affected Issues
18073
mod - application/controllers/admin/Tokens.php Diff File
mod - assets/scripts/admin/tokens.js Diff File

Issue History

Date Modified Username Field Change
2022-05-03 12:19 rouuuge New Issue
2022-05-03 15:18 gabrieljenik Assigned To => gabrieljenik
2022-05-03 15:18 gabrieljenik Status new => assigned
2022-05-16 18:21 gabrieljenik Note Added: 69678
2022-05-16 18:21 gabrieljenik Bug heat 0 => 2
2022-05-17 14:55 gabrieljenik Status assigned => ready for testing
2022-05-17 14:57 gabrieljenik Issue cloned: 18119
2022-05-17 14:57 gabrieljenik Relationship added related to 18119
2022-05-18 20:49 gabrieljenik Issue cloned: 18125
2022-05-18 20:49 gabrieljenik Relationship added related to 18125
2022-06-27 00:33 gabrieljenik Note Added: 70534
2022-06-27 00:34 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-06-27 00:34 gabrieljenik Status ready for testing => ready for code review
2022-06-27 15:31 DenisChenu Assigned To DenisChenu => gabrieljenik
2022-06-27 15:31 DenisChenu Status ready for code review => in testing
2022-07-01 15:37 gabrieljenik Changeset attached => LimeSurvey master 32163649
2022-07-01 15:37 gabrieljenik Note Added: 70676
2022-07-01 15:37 gabrieljenik Resolution open => fixed
2022-07-05 12:27 LimeBot Note Added: 70701
2022-07-05 12:27 LimeBot Status in testing => closed
2022-07-05 12:27 LimeBot Bug heat 2 => 4